html {
  overscroll-behavior-y: contain;
}

.profileBox .in {
  padding: 19px 25px 16px 0;
}

.icon_badge {
  margin-left: -8px;
  min-height: 18px;
  min-width: 18px;
  width: 18px;
  height: 18px;
  font-size: 11px;
}

.profile-stats .item strong {
  font-size: 25px;
}

.list-item-chips {
  width: 80pt !important;
}

.list-item-text:after {
  left: 85pt !important;
}

.multi-level ul>li .item_action {
  padding-left: 15pt !important;
  font-size: 18pt;
}

.btn-option {
  padding-left: 15pt !important;
  justify-content: left !important;
  text-align: left !important;
}

.no-border {
  border-top: none !important;
  border-left: none !important;
  border-right: none !important;
  border-bottom: none !important;
}

.no-bottom-border {
  border-bottom: none;
}

.no-top-border {
  border-top: none;
}

.avatar-image {
  height: 64px;
}

.avatar-image label {
  background-color: transparent;
  background-size: cover;
  background-position: center;
  border-style: none;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 64px;
  height: 64px;
  border-radius: 100%;
}

.custom-file-upload {
  height: 120px;
}

.custom-file-upload label {
  background-color: transparent;
  border-style: none;
}

.custom-file-upload label.file-uploaded {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 120px;
  height: 120px;
  border-radius: 100%;
}

.custom-file-upload label.file-uploaded:before {
  top: 50%;
}

.custom-file-upload label.file-uploaded span {
  display: none;
}

.custom-file-upload label.current-image {
  background-size: cover;
  background-position: center;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 120px;
  height: 120px;
  border-radius: 100%;
}

.centered-title {
  text-align: center;
  padding-top: 10px;
  padding-bottom: 5px;
}

.transparent-bckg {
  background-color: transparent !important;
  background: transparent !important;
}

.transparent-text {
  color: transparent !important;
}

.inactive-text {
  color: #A1A1A2 !important;
}

.gray-bckg {
  background-color: #F9F9F9 !important;
  background: #F9F9F9 !important;
}

body.dark-mode-active .gray-bckg {
  background-color: transparent !important;
  background: transparent !important;
}

.white-bckg {
  background-color: #FFFFFF !important;
  background: #FFFFFF !important;
}

.white-text {
  background-color: #FFFFFF !important;
}

body.dark-mode-active .white-bckg {
  background-color: transparent !important;
  background: transparent !important;
}

.nav-tabs.style1 .nav-item .nav-link {
  height: 40px;
}

.bg-inactive {
  background: #BBC3CE !important;
  border-color: #BBC3CE !important;
}

/* pole z data kalendarza */
.form-group.calendar .form-control {
  background: transparent;
  box-shadow: none;
  /* height: 42px; */
  border-radius: 0px;
  padding-top: 0 40px 0 16px;
  /* margin-top: 8px; */
  border-top: none;
  border-left: none;
  border-right: none;
  text-align: left;
  text-align-last: left;
  -moz-text-align-last: left;
}

body.dark-mode-active .form-group.calendar .form-control {
  color: #FFFF;
}

/* pole do wyszukowania pod naglowkiem (np. lista klientow) */
.searchbox .form-control {
  /* border-radius: 0px; */
  height: 42px;
}

/* lupka w polu do wyszukiwania pod naglowkiem */
.searchbox .input-icon {
  top: 4px;
}

/* kontener na kontrolke datepicker */
.datepicker-container {
  top: 42px;
  left: 8px;
}

/* kontrolka datepicker - glowny panel */
.datepicker-dropdown {
  top: -58px !important;
  left: 0px !important;
  padding: 20px;
  background-color: #f8f8f8;
  border-radius: 16px;
  box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.1), 0 1px 3px 0 rgba(0, 0, 0, 0.08);
  border: none;
}

/* kontrolka datepicker - glowny panel - tryb ciemny */
body.dark-mode-active .datepicker-dropdown {
  background-color: #3a5274;
  box-shadow: none;
}

/* kontrolka datepicker - dni */
.datepicker table tr td,
.datepicker table tr th {
  text-align: center;
  width: 40px;
  height: 40px;
  border-radius: 4px;
  border: none;
  color: #000000;
}

/* kontrolka datepicker - dni - mouseover */
.datepicker table tr td.day:hover,
.datepicker table tr td.focused {
  background: #0564fd !important;
  cursor: pointer;
  border-radius: 100%;
  color: #FFFFFF !important;
}

/* kontrolka datepicker - dni z poprzedniego i nastepnego miesiaca */
.datepicker table tr td.old,
.datepicker table tr td.new {
  color: rgb(150, 148, 148);
}

/* kontrolka datepicker - aktualny dzien wg zegara */
.datepicker table tr td.today {
  color: #FFFFFF;
  background-color: #BBC3CE !important;
  border-color: #BBC3CE !important;
  border-radius: 100%;
}

/* kontrolka datepicker - aktualny dzien wg zegara - mouseover */
.datepicker table tr td.today:hover {
  color: #000000;
  border-radius: 100%;
}

/* kontrolka datepicker - aktualny dzien wg zegara - tryb ciemny */
body.dark-mode-active .datepicker table tr td.today {
  background-color: #5b718f !important;
  border-color: #5b718f !important;
}

/* kontrolka datepicker - aktualny dzien wg zegara - mouseover - tryb ciemny */
body.dark-mode-active .datepicker table tr td.today:hover {
  background-color: #0564fd !important;
}

/* kontrolka datepicker - wybrany dzien */
.datepicker table tr td.active {
  color: #FFFFFF;
  background-color: #34C759 !important;
  border-color: #34C759 !important;
  border-radius: 100%;
}

/* kontrolka datepicker - wybrany dzien - mouseover */
.datepicker table tr td.active:hover {
  color: #000000;
  border-radius: 100%;
}

/* kontrolka datepicker - dni wyroznione (np. weekendy) */
.datepicker table tr td.highlighted {
  color: rgb(221, 23, 23) !important;
}

/* kontrolka datepicker - dni wyroznione (np. weekendy) - mouseover */
.datepicker table tr td.highlighted:hover {
  color: #FFFFFF !important;
  border-radius: 100%;
}

/* kontrolka datepicker - dni wyroznione, z poprzedniego i nastepnego m-ca */
.datepicker td.old.highlighted.day,
.datepicker td.new.highlighted.day {
  color: rgb(150, 148, 148) !important;
}

/* kontrolka datepicker - dni wyroznione, z poprzedniego i nastepnego m-ca - mouseover */
.datepicker td.old.highlighted.day:hover,
.datepicker td.new.highlighted.day:hover {
  color: #FFFFFF !important;
  border-radius: 100%;
}

/* kontrolka datepicker - naglowek z nazwa miesiaca */
.datepicker .datepicker-switch {
  width: 145px;
}

/* kontrolka datepicker - przelaczniki: nastepny, poprzedni m-c */
.datepicker .datepicker-switch:hover,
.datepicker .prev:hover,
.datepicker .next:hover,
.datepicker tfoot tr th:hover {
  background: #0564fd;
  color: #FFFFFF;
}

/* kontrolka datepicker - nazwy dni */
.datepicker .dow {
  color: rgb(150, 148, 148);
  font-weight: normal;
}

/* prosta lista, bez znacznikow z prawej strony wiersza */
.simple-listview>li a.item {
  padding-right: 16px;
}

.simple-listview>li a.item:after {
  background-image: none;
}

/* tab z podsumowaniem wartosci zamowienia */
.order-summary-label {
  background: rgba(30, 116, 252, 0.1) !important;
  color: #000000 !important;
  font-size: 14px !important;
  font-weight: 700 !important;
  /* box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.1), 0 1px 3px 0 rgba(0, 0, 0, 0.08); */
}

body.dark-mode-active .order-summary-label {
  color: #FFFFFF !important;
}

.order-summary-label.active {
  background-color: #1E74FD !important;
  color: #FFFFFF !important;
}

.order-summary-header.card-header {
  text-align: center !important;
  background-color: rgba(234, 234, 236, 0.67) !important;
  font-size: 18px !important;
  font-weight: 700 !important;
}

.order-summary-footer {
  text-align: right !important;
  background-color: rgba(234, 234, 236, 0.67) !important;
  padding-bottom: 0px !important;
}

body.dark-mode-active .order-summary-header.card-header {
  background-color: rgba(35, 52, 77, 0.52) !important;
  border-color: rgba(35, 52, 77, 0.52) !important;
}

body.dark-mode-active .order-summary-footer {
  background-color: rgba(35, 52, 77, 0.52) !important;
  border-color: rgba(35, 52, 77, 0.52) !important;
}

body.dark-mode-active .wide-block {
  background: transparent;
  border-color: transparent;
}

/* efekt naciskania na ekranach dodtykowych */
.touch-button:active {
  background-color: inherit;
  opacity: 0.6;
}

/* obrazek produktu na liscie produktow */
.product-list-image {
  background-size: cover;
  background-position: center;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 60px;
  height: 60px;
  border-radius: 8px;
  border-color: #e7e7e7;
  border-style: solid;
  border-width: 1px;
}

body.dark-mode-active .product-list-image {
  border-color: #586d7f;
}

.order-item-listview>li:after {
  left: 16px;
}

.scroll-container {
  height: calc(100vh - 420px);
  overflow: auto;
  overflow-x: hidden;
}

.text-aligned-center {
  text-align: center;
}

.text-aligned-right {
  text-align: right;
}

.text-aligned-left {
  text-align: left;
}

/* tlo dla okien modalnych */
.modal-backdrop {
  background: rgba(0, 0, 0, 0.5) !important;
}

/* tlo dla zagniezdzonych okien otwieranych przez inne okna modalne (np. alert w otwartym oknie modalnym) */
.nested-dialogbox {
  background: rgba(0, 0, 0, 0.25) !important;
}

/* wylaczone i nieaktywne kontrolki */
.form-control:disabled, .form-control[readonly] {
  background-color: transparent;
  outline: none !important;
}

/* super pogrubiony tekst */
.super-bold-text,
.super-bold-text b,
.super-bold-text strong {
  font-weight: 800;
}

.toast-box.toast-top.show {
  z-index: 9999;
}

/* kolor tekstu zgodny ze stylami: primary, secondary, success, warning i danger */
.text-normal {
  color: #1f1f1f !important;
}

.dark-mode-active .text-normal {
  color: #c7c7c7 !important;
}

.text-primary {
  color: #1E74FD !important;
}

.text-primary:hover, .text-primary:focus, .text-primary:active, .text-primary.active {
  color: #0564fd !important;
}

.text-primary.disabled, .text-primary:disabled {
  color: #1E74FD;
  opacity: 0.5;
}

.text-secondary {
  color: #6C7C94 !important;
}

.text-secondary:hover, .text-secondary:focus, .text-secondary:active, .text-secondary.active {
  color: #617085 !important;
}

.text-secondary.disabled, .text-secondary:disabled {
  color: #6C7C94;
  opacity: 0.5;
}

.text-success {
  color: #34C759 !important;
}

.text-success:hover, .text-success:focus, .text-success:active, .text-success.active {
  color: #2fb350 !important;
}

.text-success.disabled, .text-success:disabled {
  color: #34C759;
  opacity: 0.5;
}

.text-danger {
  color: #EC4433 !important;
}

.text-danger:hover, .text-danger:focus, .text-danger:active, .text-danger.active {
  color: #ea2f1c !important;
}

.text-danger.disabled, .text-danger:disabled {
  color: #EC4433;
  opacity: 0.5;
}

.text-warning {
  color: #FE9500 !important;
}

.text-warning:hover, .text-warning:focus, .text-warning:active, .text-warning.active {
  color: #e58600 !important;
}

.text-warning.disabled, .text-warning:disabled {
  color: #FE9500;
  opacity: 0.5;
}

.text-error {
  color: #EC4433 !important;
}

.text-error:hover, .text-error:focus, .text-error:active, .text-error.active {
  color: #ea2f1c !important;
}

.text-error.disabled, .text-error:disabled {
  color: #EC4433;
  opacity: 1.0;
}

.label-small {
  font-size: 10px !important;
}

.label-normal {
  font-size: 12px !important;
}

/* przyciski akcji na listach */
.list-button {
  margin-right: 16px !important;
  /* mr-2 */
  margin-bottom: 8px !important;
  /* mb-1 */
}

/* prosta tabela */
.simple-table {
  line-height: 0.75em !important;
}

/* maly chips - wykorzystywany w wierszach tabeli */
.chip-small {
  font-size: 11px;
  line-height: 1em;
  height: 24px;
}

/* podpowiedz pod polem imput - np. sugerowana data zamowienia lub cena */
.label-chip {
  padding-top: 3px;
}

/* tytuly kolek synchronizacji */
.sync_circle_title {
  text-align: center;
  font-size: 11px;
}

/* wartosci w kolku synchronizacji */
.sync_circle_value {
  padding-top: 4px;
  padding-bottom: 4px;
  font-size: 14px;
}

/* linki z ikona na listach */
.multi-level ul>li a,
.multi-level ul>li .item {
  padding-left: 20px !important;
}

/* kalendarz z wiekszym gornym marginesem (np. w aktywnosciach) */
.lower-calendar {
  top: 49px !important;
}

.custom-select:disabled {
  color: #6c757d !important;
}

/* wyrozniony tekst na liscie */
.highlited-text {
  color: #424242 !important;
  font-weight: 700 !important;
}

/* checkbox na liscie (np. historia zamowien) */
.custom-control .list-checkbox-label:before {
  margin-top: 3px;
}

.custom-control .list-checkbox-label:after {
  margin-top: 6px;
}

/* szersze okna dialogowe (alerty) */
.wide-modal {
  max-width: 380px !important;
}